> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an opportunity user

> Create an opportunity user



## OpenAPI

````yaml post /v1/integrations/opportunity-users
openapi: 3.0.0
info:
  version: 1.0.0
  title: Swagger API
servers:
  - url: https://functions.siro.ai/api-externalApi
    description: Siro API external API endpoint
security: []
externalDocs:
  description: View the raw OpenAPI Specification in JSON format
  url: /swagger.json
paths:
  /v1/integrations/opportunity-users:
    post:
      summary: Create an opportunity user
      description: Create an opportunity user
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                opportunityId:
                  type: string
                userId:
                  type: string
                name:
                  type: string
                amountPercentage:
                  type: number
      responses:
        '200':
          description: Create an opportunity user
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  opportunityId:
                    type: string
                  userId:
                    type: string
                  name:
                    type: string
                  amountPercentage:
                    type: number
                  organizationId:
                    type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  integrationConnectionId:
                    type: string
                required:
                  - id
                  - opportunityId
                  - userId
                  - organizationId
                  - createdAt
                  - updatedAt
                  - integrationConnectionId
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Organization API token
      description: >-
        Organization integration token from Siro admin (Person icon → API
        Tokens). Send Authorization: Bearer <organization-api-token>. This is
        not the OAuth access token used with api.siro.ai user-scoped endpoints.
      x-default: <organization-api-token>

````